/*
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
*/
/*
    Created on : Sep 26, 2016, 9:09:47 AM
    Author     : randyka
*/

root {
    /*    font-family:lucida sans unicode, lucida grande, Verdana !important;*/
}

.ui-layout-container.master {
    font-size: 110%;
    background: white;
}

.ui-layout-no-border {
    border: none;
    padding: 0;
    background: white;
}

.ui-layout-unit-content{
    background: white;
}

.ui-panel-content.ui-widget-content {
    background-color: white;
}

.ui-widget,
.ui-widget .ui-widget
{
    font-size: 88%;
    color: black;
    /*    font-family:lucida sans unicode, lucida grande, Verdana !important;*/
    font-family: Arial, Helvetica, sans-serif;
}

.ui-button-text {
    font-size:110%;
    margin-right: 5px;
    margin-left: 5px;
}

.ui-button.ui-button-icon-only {
    font-size: 110% !important;
    color: black;
}

.ui-button.ui-button-text-icon-left {
    font-size: 110%;
    color: black;
}

.ui-button.ui-button-text-icon-left.form-button {
    font-size:75%;
}

.ui-button.ui-button-text-icon-left.ui-confirmdialog-yes {
    font-size:90%;
}

.ui-button.ui-button-text-icon-left.ui-confirmdialog-no {
    font-size:90%;
}

.ui-button {

}

.ui-dialog-footer {
    background: white;
}

.fa {
    font-size:120%;
    margin-right: 5px;
    margin-left: 5px;
    text-align: center;
}

.fa.header {
    font-size:140%;
    font-weight: bold;
}

.fa.formheader {
    font-size:100%;
}

.ui-panel .ui-panel-content {
    padding: 0;
}

.ui-dialog.progressDialog .ui-dialog-content {
    padding: 0;
    margin: 0;
}

.border.ui-panelgrid>*>tr,
.border.ui-panelgrid .ui-panelgrid-cell {
    border: 1px green;
    background: transparent;
}

.no-border.ui-panelgrid>*>tr,
.no-border.ui-panelgrid .ui-panelgrid-cell {
    border: none;
    background: transparent;
}

.ui-datatable-header {
    height: 24px;
}

.ui-widget-header {
    border-top: none;
}

.photo-profile {
    display: inline-block;
    max-width: 100%;
    max-height: 100%;
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
}

.no-title.ui-dialog .ui-dialog-titlebar {
    display: none;
}

.more-header.ui-dialog .ui-dialog-titlebar {
    height: 30px;
}

/*.ui-datatable.borderless thead th,
.ui-datatable.borderless tbody,
.ui-datatable.borderless tbody tr,
.ui-datatable.borderless tbody td {
    border-style: none;
}*/

div[id="growlForm:growl_container"] > div[class~="g-fatal"] {
    background-color: black !important;
}

div[id="growlForm:growl_container"] > div[class~="g-error"] {
    background-color: red !important;
}

div[id="growlForm:growl_container"] > div[class~="g-warn"]{
    background-color: orange !important;
}

div[id="growlForm:growl_container"] > div[class~="g-info"]{
    background-color: green !important;
}

.ui-growl-image-info ~ .ui-growl-message {
    font-size: 12px;
    text-align: left;
}
.ui-growl-image-error ~ .ui-growl-message {
    font-size: 12px;
    text-align: left;
}
.ui-growl-image-warn ~ .ui-growl-message {
    font-size: 12px;
    text-align: left;
}
.ui-growl-image-fatal ~ .ui-growl-message {
    font-size: 12px;
    text-align: left;
}

.preference {
    padding: 0px;
    margin: 0px;
    vertical-align: top;
}

.no-padding.ui-panelgrid>*>tr,
.no-padding.ui-panelgrid .ui-panelgrid-cell {
    padding: 0;
    margin: 0;
}

.ui-inputfield.ui-widget.ui-state-default.ui-corner-all.hasDatepicker {
    width: 100px;
    font-size: 115%;
}

.ui-toolbar {
    border : none;
}

.ui-datatable.borderless thead th,
.ui-datatable.borderless tbody,
.ui-datatable.borderless tbody tr,
.ui-datatable.borderless tbody td {
    border-style: none;
}

.ui-datatable.borderless thead th {
    padding: 0;
    margin: 0;
    text-align: left;
    vertical-align: bottom;
}

.ui-column-filter {
    width: -webkit-calc(100% - 10px) !important;
    width:    -moz-calc(100% - 10px) !important;
    width:         calc(100% - 10px) !important;
}

.ui-column-title {
    padding: 0 0 0 10px;
}

.ui-dialog {
    box-shadow: none;
}

.ui-confirm-dialog {
    font-size: 75%;
}

.ui-steps .ui-steps-item {
    width: 24%;
}

.ui-state-highlight {
    text-shadow: none !important;
}

.ui-steps.custom {
    margin-bottom: 30px;
}

.ui-steps.custom .ui-steps-item .ui-menuitem-link {
    height: 10px;
    padding: 0 1em;
}

.ui-steps.custom .ui-steps-item .ui-steps-number {
    background-color: #0081c2;
    color: #FFFFFF;
    display: inline-block;
    width: 30px;
    border-radius: 10px;
    margin-top: -10px;
    margin-bottom: 10px;
}

/*.ui-steps.custom .ui-steps-item.ui-state-highlight .ui-steps-title {
    color: #555;
}

.ui-steps-item.ui-state-highlight.ui-corner-all {
    background-color: inherit;
}*/

.ui-menuitem-icon {
    border-radius: 0;
}

.ui-icon {
    border-radius: 0;
}

.ui-inputnumber > input[type=text] {
    text-align: right;
}

.ui-messages {
    width: 300px;
}

.ui-icon-blank {
    background-color: white;
}

.ui-accordion .ui-accordion-content{
    border-top: 0 none;
    margin-bottom: 2px;
    margin-top: -2px;
    overflow: auto;
    padding: 0;
    position: relative;
    top: 1px;
}

ol {
    list-style-type: none;
    counter-reset: item;
    margin: 0;
    padding: 0;
}

ol > li {
    display: table;
    counter-increment: item;
    margin-bottom: 0.6em;
}

ol > li:before {
    content: counters(item, ".") ". ";
    display: table-cell;
    padding-right: 0.6em;    
}

li ol > li {
    margin: 0;
}

li ol > li:before {
    content: counters(item, ".") " ";
}

.ui-steps-title {
    color: black;
}

.ui-panelgrid-cell {
    vertical-align: top;
}

.styHdr1{
    font-weight:normal;letter-spacing:0pt;word-spacing:0pt;font-size:66px;text-align:center;
    font-family:lucida sans unicode, lucida grande, Verdana;line-height:0;
    background: rgba(205,103,52,1);
    background: -moz-linear-gradient(left, rgba(205,103,52,1) 0%, rgba(245,161,77,1) 40%, rgba(245,161,77,1) 60%, rgba(205,103,52,1) 100%);
    background: -webkit-gradient(left top, right top, color-stop(0%, rgba(205,103,52,1)), color-stop(40%, rgba(245,161,77,1)), color-stop(60%, rgba(245,161,77,1)), color-stop(100%, rgba(205,103,52,1)));
    background: -webkit-linear-gradient(left, rgba(205,103,52,1) 0%, rgba(245,161,77,1) 40%, rgba(245,161,77,1) 60%, rgba(205,103,52,1) 100%);
    background: -o-linear-gradient(left, rgba(205,103,52,1) 0%, rgba(245,161,77,1) 40%, rgba(245,161,77,1) 60%, rgba(205,103,52,1) 100%);
    background: -ms-linear-gradient(left, rgba(205,103,52,1) 0%, rgba(245,161,77,1) 40%, rgba(245,161,77,1) 60%, rgba(205,103,52,1) 100%);
    background: linear-gradient(to right, rgba(205,103,52,1) 0%, rgba(245,161,77,1) 40%, rgba(245,161,77,1) 60%, rgba(205,103,52,1) 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}
.styHdr2{
    font-weight:normal;letter-spacing:5pt;word-spacing:4pt;font-size:22px;text-align:center;
    font-family:lucida sans unicode, lucida grande, Verdana;line-height:1;
    background: rgba(205,103,52,1);
    background: -moz-linear-gradient(left, rgba(205,103,52,1) 0%, rgba(245,161,77,1) 40%, rgba(245,161,77,1) 60%, rgba(205,103,52,1) 100%);
    background: -webkit-gradient(left top, right top, color-stop(0%, rgba(205,103,52,1)), color-stop(40%, rgba(245,161,77,1)), color-stop(60%, rgba(245,161,77,1)), color-stop(100%, rgba(205,103,52,1)));
    background: -webkit-linear-gradient(left, rgba(205,103,52,1) 0%, rgba(245,161,77,1) 40%, rgba(245,161,77,1) 60%, rgba(205,103,52,1) 100%);
    background: -o-linear-gradient(left, rgba(205,103,52,1) 0%, rgba(245,161,77,1) 40%, rgba(245,161,77,1) 60%, rgba(205,103,52,1) 100%);
    background: -ms-linear-gradient(left, rgba(205,103,52,1) 0%, rgba(245,161,77,1) 40%, rgba(245,161,77,1) 60%, rgba(205,103,52,1) 100%);
    background: linear-gradient(to right, rgba(205,103,52,1) 0%, rgba(245,161,77,1) 40%, rgba(245,161,77,1) 60%, rgba(205,103,52,1) 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.email{
    background:#ecf0f1;
    border: #ccc 1px solid;
    border-bottom: #ccc 2px solid;
    padding: 8px;
    color:#AAAAAA;
    margin-top:10px;
    font-size:1em;
    border-radius:4px;
    font-size: xx-large;
}

.password{
    border-radius:4px;
    background:#ecf0f1;
    border: #ccc 1px solid;
    padding: 8px;
    font-size:1em;
    font-size: xx-large;
}

.btn{
    width:125px;
    padding-top:5px;
    padding-bottom:5px;
    border: #27ae60 1px solid;

    margin-top:10px;
    margin-bottom:10px;
    font-weight:800;
    font-size:0.8em;
}

.underlineHover:after {
    display: block;
    left: 0;
    bottom: -10px;
    width: 0;
    height: 2px;
    background-color: #56baed;
    content: "";
    transition: width 0.2s;
    font-size:5px;
}

.underlineHover:hover {
    color: #0d0d0d;
}

.underlineHover:hover:after{
    width: 100%;
}

.login {
    background: #eceeee;
    border: 1px solid #42464b;
    border-radius: 6px;
    height: 450px;
    margin: 20px auto 0;
    width: 425px;
}
.login h1 {
    background-image: linear-gradient(top, #f1f3f3, #d4dae0);
    border-bottom: 1px solid #a6abaf;
    border-radius: 6px 6px 0 0;
    box-sizing: border-box;
    color: #727678;
    display: block;
    height: 43px;
    padding-top: 14px;
    margin: 0;
    text-align: center;
    text-shadow: 0 -1px 0 rgba(0,0,0,0.2), 0 1px 0 #fff;
}

.ui-tabs-nav.ui-helper-reset.ui-widget-header.ui-corner-all {
    margin: 0px;
    padding: 0px;
}

.ui-tabs-top{
    margin: 0px;
    padding: 0px;
}

.ui-dialog-content.ui-widget-content {
    margin: 0px !important;
    padding: 0px !important;
}

.ui-tabs-panel.ui-widget-content.ui-corner-bottom.ui-helper-hidden {
    margin: 0px !important;
    padding: 0px !important;
}